restinio::router::easy_parser_router::impl::dsl_details Namespace Reference

## Classes

struct | add_type_if_necessary
struct | add_type_if_necessary_impl
struct | add_type_if_necessary_impl< H, To< Results... >, false >
struct | add_type_if_necessary_impl< H, To< Results... >, true >
struct | clauses_type_maker
struct | clauses_type_maker< From< Sources... >, To< Results... >, Current_Index >
struct | clauses_type_maker< From<>, To< Results... >, Current_Index >
struct | detect_result_tuple
struct | make_clauses_types
struct | one_clause_type_processor
struct | one_clause_type_processor< const char[Size], false, Current_Index >
struct | one_clause_type_processor< std::string, false, Current_Index >
struct | one_clause_type_processor< string_view_t, false, Current_Index >
struct | one_clause_type_processor< T, true, Current_Index >
struct | result_tuple_detector
struct | result_tuple_detector< From< Sources... >, To< Results... > >
struct | result_tuple_detector< From<>, To< Results... > >
struct | special_decay
| A special analog of std::decay meta-function that is handles array differently. More...

## Typedefs

template<typename Args_Type_List >
using | detect_result_tuple_t = typename detect_result_tuple< Args_Type_List >::type
template<typename Args_Type_List >
using | make_clauses_types_t = typename make_clauses_types< Args_Type_List >::type

## Typedef Documentation

## detect_result_tuple_t

template<typename Args_Type_List >

using restinio::router::easy_parser_router::impl::dsl_details::detect_result_tuple_t = typedef typename detect_result_tuple<Args_Type_List>::type

Definition at line 364 of file easy_parser_router.hpp.

## make_clauses_types_t

template<typename Args_Type_List >

using restinio::router::easy_parser_router::impl::dsl_details::make_clauses_types_t = typedef typename make_clauses_types<Args_Type_List>::type

Definition at line 464 of file easy_parser_router.hpp.